Package org.apache.uima.search.impl

# Class IndexBuildItem_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.search.impl.IndexBuildItem_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `MetaDataObject`, `IndexBuildItem`, `XMLizable`

public class IndexBuildItem_impl extends MetaDataObject_impl implements IndexBuildItem

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexBuildItem_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Filter`
  `getFilter()`
  Gets the `Filter` that identifies which instances of the named CAS type are governed by the index rule for this item.
  `IndexRule`
  `getIndexRule()`
  Gets the `IndexRule` that defines how annotations matching this build item should be indexed.
  `String`
  `getName()`
  Gets the name of the CAS type for which this item defines the indexing behavior.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.
  `void`
  `setFilter(Filter aFilter)`
  Sets the `Filter` that identifies which instances of the named CAS type are governed by the index rule for this item.
  `void`
  `setIndexRule(IndexRule aRule)`
  Sets the `IndexRule` that defines how annotations matching this build item should be indexed.
  `void`
  `setName(String aName)`
  Sets the name of the CAS type for which this item defines the indexing behavior.

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### IndexBuildItem_impl

    public IndexBuildItem_impl()

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `IndexBuildItem`
    Gets the name of the CAS type for which this item defines the indexing behavior.
    Specified by:
      `getName` in interface `IndexBuildItem`
    Returns:
      the CAS type name for this build item

  - ### setName

    public void setName(String aName)
    Description copied from interface: `IndexBuildItem`
    Sets the name of the CAS type for which this item defines the indexing behavior.
    Specified by:
      `setName` in interface `IndexBuildItem`
    Parameters:
      `aName` - the CAS type name for this build item

  - ### getIndexRule

    public IndexRule getIndexRule()
    Description copied from interface: `IndexBuildItem`
    Gets the `IndexRule` that defines how annotations matching this build item should be indexed.
    Specified by:
      `getIndexRule` in interface `IndexBuildItem`
    Returns:
      the indexing rule for this build item

  - ### setIndexRule

    public void setIndexRule(IndexRule aRule)
    Description copied from interface: `IndexBuildItem`
    Sets the `IndexRule` that defines how annotations matching this build item should be indexed.
    Specified by:
      `setIndexRule` in interface `IndexBuildItem`
    Parameters:
      `aRule` - the indexing rule for this build item

  - ### getFilter

    public Filter getFilter()
    Description copied from interface: `IndexBuildItem`
    Gets the `Filter` that identifies which instances of the named CAS type are governed by the index rule for this item. Filters are optional; if none is specified then this rule applies to all instances of the named CAS type.
    Specified by:
      `getFilter` in interface `IndexBuildItem`
    Returns:
      the Filter for this build item, null if none

  - ### setFilter

    public void setFilter(Filter aFilter)
    Description copied from interface: `IndexBuildItem`
    Sets the `Filter` that identifies which instances of the named CAS type are governed by the index rule for this item. Filters are optional; if none is specified then this rule applies to all instances of the named CAS type.
    Specified by:
      `setFilter` in interface `IndexBuildItem`
    Parameters:
      `aFilter` - the Filter for this build item, null if none

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Specified by:
      `getXmlizationInfo` in class `MetaDataObject_impl`
    Returns:
      information defining this object's XML representation